package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsFollowReport;
import com.fs.his.param.FsFollowReportParam;
import com.fs.his.vo.FsFollowReportListVO;

/**
 * 咨询报告Service接口
 *
 * @author fs
 * @date 2024-01-29
 */
public interface IFsFollowReportService
{
    /**
     * 查询咨询报告
     *
     * @param id 咨询报告主键
     * @return 咨询报告
     */
    public FsFollowReport selectFsFollowReportById(Long id);

    /**
     * 查询咨询报告列表
     *
     * @param fsFollowReport 咨询报告
     * @return 咨询报告集合
     */
    public List<FsFollowReport> selectFsFollowReportList(FsFollowReport fsFollowReport);

    /**
     * 新增咨询报告
     *
     * @param fsFollowReport 咨询报告
     * @return 结果
     */
    public int insertFsFollowReport(FsFollowReport fsFollowReport);

    /**
     * 修改咨询报告
     *
     * @param fsFollowReport 咨询报告
     * @return 结果
     */
    public int updateFsFollowReport(FsFollowReport fsFollowReport);

    /**
     * 批量删除咨询报告
     *
     * @param ids 需要删除的咨询报告主键集合
     * @return 结果
     */
    public int deleteFsFollowReportByIds(Long[] ids);

    /**
     * 删除咨询报告信息
     *
     * @param id 咨询报告主键
     * @return 结果
     */
    public int deleteFsFollowReportById(Long id);

    List<FsFollowReportListVO> selectFsFollowReportListVO(FsFollowReportParam fsFollowReport);

    void addReport(String userId, String doctorId);

    Boolean isEntityNull(FsFollowReportParam fsFollowReport);

    Long selectFsFollowReportListVOCount(FsFollowReportParam fsFollowReport);
}
